Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.providers.authentication
Interface IPlanetAuthenticatorMBean

public interface IPlanetAuthenticatorMBean
extends weblogic.management.commo.StandardInterface, LDAPAuthenticatorMBean

This MBean represents LDAP schema definitions for the iPlanet LDAP provider.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getDynamicGroupNameAttribute()` The attribute of the dynamic LDAP group object that specifies the name of the group.
`java.lang.String` | `getDynamicGroupObjectClass()` The LDAP object class that stores dynamic groups.
`java.lang.String` | `getDynamicMemberURLAttribute()` The attribute of the dynamic LDAP group object that specifies the URLs of the members of the dynamic group.
`java.lang.String` | `getGroupFromNameFilter()` An LDAP search filter for finding a group given the name of the group.
`java.lang.String` | `getStaticMemberDNAttribute()` The attribute of an LDAP static group object that specifies the distinguished names (DNs) of the members of the group.
`void` | `setDynamicGroupNameAttribute(java.lang.String newValue)` The attribute of the dynamic LDAP group object that specifies the name of the group.
`void` | `setDynamicGroupObjectClass(java.lang.String newValue)` The LDAP object class that stores dynamic groups.
`void` | `setDynamicMemberURLAttribute(java.lang.String newValue)` The attribute of the dynamic LDAP group object that specifies the URLs of the members of the dynamic group.
`void` | `setGroupFromNameFilter(java.lang.String newValue)` An LDAP search filter for finding a group given the name of the group.
`void` | `setStaticMemberDNAttribute(java.lang.String newValue)` The attribute of an LDAP static group object that specifies the distinguished names (DNs) of the members of the group.

Methods inherited from interface weblogic.security.providers.authentication.LDAPAuthenticatorMBean
`getAllGroupsFilter, getAllUsersFilter, getDescription, getGroupBaseDN, getGroupMembershipSearching, getGroupSearchScope, getIgnoreDuplicateMembership, getMaxGroupMembershipSearchLevel, getProviderClassName, getStaticGroupDNsfromMemberDNFilter, getStaticGroupNameAttribute, getStaticGroupObjectClass, getUserBaseDN, getUserDynamicGroupDNAttribute, getUseRetrievedUserNameAsPrincipal, getUserFromNameFilter, getUserNameAttribute, getUserObjectClass, getUserSearchScope, getVersion, setAllGroupsFilter, setAllUsersFilter, setGroupBaseDN, setGroupMembershipSearching, setGroupSearchScope, setIgnoreDuplicateMembership, setMaxGroupMembershipSearchLevel, setStaticGroupDNsfromMemberDNFilter, setStaticGroupNameAttribute, setStaticGroupObjectClass, setUserBaseDN, setUserDynamicGroupDNAttribute, setUseRetrievedUserNameAsPrincipal, setUserFromNameFilter, setUserNameAttribute, setUserObjectClass, setUserSearchScope`

Methods inherited from interface weblogic.security.providers.authentication.LoginExceptionPropagatorMBean
`getPropagateCauseForLoginException, setPropagateCauseForLoginException`

Methods inherited from interface weblogic.management.utils.LDAPServerMBean
`getCacheSize, getCacheTTL, getConnectionRetryLimit, getConnectTimeout, getCredential, getHost, getParallelConnectDelay, getPort, getPrincipal, getResultsTimeLimit, isBindAnonymouslyOnReferrals, isCacheEnabled, isFollowReferrals, isSSLEnabled, setBindAnonymouslyOnReferrals, setCacheEnabled, setCacheSize, setCacheTTL, setConnectionRetryLimit, setConnectTimeout, setCredential, setFollowReferrals, setHost, setParallelConnectDelay, setPort, setPrincipal, setResultsTimeLimit, setSSLEnabled`

Methods inherited from interface weblogic.management.security.authentication.UserReaderMBean
`getUserDescription, listUsers, userExists`

Methods inherited from interface weblogic.management.security.authentication.GroupMemberListerMBean
`listGroupMembers`

Methods inherited from interface weblogic.management.security.authentication.MemberGroupListerMBean
`listMemberGroups`

Methods inherited from interface weblogic.management.security.authentication.UserPasswordEditorMBean
`changeUserPassword, resetUserPassword`

Methods inherited from interface weblogic.management.security.authentication.GroupMembershipHierarchyCacheMBean
`getEnableGroupMembershipLookupHierarchyCaching, getGroupHierarchyCacheTTL, getMaxGroupHierarchiesInCache, setEnableGroupMembershipLookupHierarchyCaching, setGroupHierarchyCacheTTL, setMaxGroupHierarchiesInCache`

Methods inherited from interface weblogic.management.security.authentication.AuthenticatorMBean
`getControlFlag, setControlFlag`

Methods inherited from interface weblogic.management.security.ProviderMBean
`getRealm, setRealm`

Method Detail

### getGroupFromNameFilter

    public java.lang.String getGroupFromNameFilter()

  An LDAP search filter for finding a group given the name of the group. If the attribute is not specified (that is, if the attribute is null or empty), a default search filter is created based on the group schema.
  Specified by:
    getGroupFromNameFilter in interface LDAPAuthenticatorMBean

  Default Value: "(|(&(cn=%g)(objectclass=groupofUniqueNames))(&(cn=%g)(objectclass=groupOfURLs)))"
  Legal NULL: true

### setGroupFromNameFilter

    public void setGroupFromNameFilter(java.lang.String newValue)
                                throws javax.management.InvalidAttributeValueException

  An LDAP search filter for finding a group given the name of the group. If the attribute is not specified (that is, if the attribute is null or empty), a default search filter is created based on the group schema.
  Specified by:
    setGroupFromNameFilter in interface LDAPAuthenticatorMBean

  Default Value: "(|(&(cn=%g)(objectclass=groupofUniqueNames))(&(cn=%g)(objectclass=groupOfURLs)))"
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute GroupFromNameFilter
  Throws:
    javax.management.InvalidAttributeValueException -

### getStaticMemberDNAttribute

    public java.lang.String getStaticMemberDNAttribute()

  The attribute of an LDAP static group object that specifies the distinguished names (DNs) of the members of the group.
  Specified by:
    getStaticMemberDNAttribute in interface LDAPAuthenticatorMBean

  Default Value: "member"
  Legal NULL: true

### setStaticMemberDNAttribute

    public void setStaticMemberDNAttribute(java.lang.String newValue)
                                    throws javax.management.InvalidAttributeValueException

  The attribute of an LDAP static group object that specifies the distinguished names (DNs) of the members of the group.
  Specified by:
    setStaticMemberDNAttribute in interface LDAPAuthenticatorMBean

  Default Value: "member"
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute StaticMemberDNAttribute
  Throws:
    javax.management.InvalidAttributeValueException -

### getDynamicGroupObjectClass

    public java.lang.String getDynamicGroupObjectClass()

  The LDAP object class that stores dynamic groups.
  Specified by:
    getDynamicGroupObjectClass in interface LDAPAuthenticatorMBean

  Default Value: "groupofURLs"
  Legal NULL: true

### setDynamicGroupObjectClass

    public void setDynamicGroupObjectClass(java.lang.String newValue)
                                    throws javax.management.InvalidAttributeValueException

  The LDAP object class that stores dynamic groups.
  Specified by:
    setDynamicGroupObjectClass in interface LDAPAuthenticatorMBean

  Default Value: "groupofURLs"
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute DynamicGroupObjectClass
  Throws:
    javax.management.InvalidAttributeValueException -

### getDynamicGroupNameAttribute

    public java.lang.String getDynamicGroupNameAttribute()

  The attribute of the dynamic LDAP group object that specifies the name of the group.
  Specified by:
    getDynamicGroupNameAttribute in interface LDAPAuthenticatorMBean

  Default Value: "cn"
  Legal NULL: true

### setDynamicGroupNameAttribute

    public void setDynamicGroupNameAttribute(java.lang.String newValue)
                                      throws javax.management.InvalidAttributeValueException

  The attribute of the dynamic LDAP group object that specifies the name of the group.
  Specified by:
    setDynamicGroupNameAttribute in interface LDAPAuthenticatorMBean

  Default Value: "cn"
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute DynamicGroupNameAttribute
  Throws:
    javax.management.InvalidAttributeValueException -

### getDynamicMemberURLAttribute

    public java.lang.String getDynamicMemberURLAttribute()

  The attribute of the dynamic LDAP group object that specifies the URLs of the members of the dynamic group.
  Specified by:
    getDynamicMemberURLAttribute in interface LDAPAuthenticatorMBean

  Default Value: "memberURL"
  Legal NULL: true

### setDynamicMemberURLAttribute

    public void setDynamicMemberURLAttribute(java.lang.String newValue)
                                      throws javax.management.InvalidAttributeValueException

  The attribute of the dynamic LDAP group object that specifies the URLs of the members of the dynamic group.
  Specified by:
    setDynamicMemberURLAttribute in interface LDAPAuthenticatorMBean

  Default Value: "memberURL"
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute DynamicMemberURLAttribute
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD